## enigmail 1.9.1

=== Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

XPI_MODULE	= enigmail
XPI_MODULE_VERS = 1.9.1

DEPTH		= .

include $(DEPTH)/config/autoconf.mk

DIRS = ipc public
DIRS += ui package lang

ALL = dirs xpi

ifeq ($(TESTS),yes)
ALL += test
endif

XPIFILE = $(XPI_MODULE)-$(XPI_MODULE_VERS).xpi

.PHONY: dirs $(DIRS) test

all: $(ALL)

dirs: $(DIRS)

$(DIRS):
	$(MAKE) -C $@

xpi:
	$(srcdir)/util/genxpi $(XPIFILE) $(XPI_MODULE_VERS) $(DIST) $(srcdir) $(XPI_MODULE) $(ENABLE_LANG)

check:
	util/checkFiles.py

eslint:
	static_analysis/eslint ipc
	static_analysis/eslint package
	static_analysis/eslint ui

unit:
	make -C package/tests
	make -C ui/tests

test: eslint check unit

clean:
	rm -f build/$(XPIFILE)
	for dir in $(DIRS); do \
		if [ "$${dir}x" != "checkx" ]; then \
		$(MAKE) -C $$dir clean; fi; \
	done

distclean: clean
	rm -rf build/*
	rm -f config/autoconf.mk config.log config.status

=== lang/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

DEPTH = ..

define copyLang =
mkdir -p $(BUILD)/lang/$^
endef

DO_FIX_LANG = 
NO_GEN_FILES = 

include ../config/autoconf.mk

ifneq ($(FIX_LANGUAGES),no)
DO_FIX_LANG = prepFiles
else
NO_GEN_FILES = -ng
endif

all: jar

ifneq ($(ENABLE_LANG),no)
languages = $(shell cat current-languages.txt)
EXPORT_CMD = $(PERL) $(DEPTH)/util/make-lang-xpi.pl $(NO_GEN_FILES) current-languages.txt $(BUILD)/lang
else
languages = 
EXPORT_CMD = echo "" > $(BUILD)/lang/jar.mn
endif

prepFiles: 
	for l in $(languages); do \
	   $(PERL) $(DEPTH)/util/fixlang.pl $(DEPTH)/ui/locale/en-US $$l; \
	done
	

export: $(DO_FIX_LANG)
	mkdir -p $(BUILD)/lang
	$(EXPORT_CMD)

jar: export
	$(PYTHON) ../util/JarMaker.py -j $(DIST)/chrome -t . -f jar $(BUILD)/lang/jar.mn

clean:
	for l in $(languages); do \
	   rm -f $$l/enigmail.dtd.gen $$l/enigmail.properties.gen; \
	done
	rm -f $(BUILD)/lang/jar.mn

=== package/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.


DEPTH		= ..

include $(DEPTH)/config/autoconf.mk

PREF_JS_EXPORTS = $(srcdir)/prefs/enigmail.js

COMPFILES = \
            enigmail.js \
            pgpmimeHandler.js \
            mimeEncrypt.js \
            prefs-service.js \
            msgCompFields.js

PREFFILES = prefs/enigmail.js

MODFILES = \
           app.jsm \
           armor.jsm \
           attachment.jsm \
           card.jsm \
           commandLine.jsm \
           configBackup.jsm \
           configure.jsm \
           constants.jsm \
           data.jsm \
           decryption.jsm \
           decryptPermanently.jsm \
           dialog.jsm \
           encryption.jsm \
           core.jsm \
           errorHandling.jsm \
           funcs.jsm \
           gpgAgent.jsm \
           protocolHandler.jsm \
           events.jsm \
           execution.jsm \
           expiry.jsm \
           files.jsm \
           filters.jsm \
           fixExchangeMsg.jsm \
           glodaMime.jsm \
           glodaUtils.jsm \
           gpg.jsm \
           hash.jsm \
           httpProxy.jsm \
           installGnuPG.jsm \
           key.jsm \
           keyEditor.jsm \
           keyRing.jsm \
           keyserver.jsm \
           lazy.jsm \
           locale.jsm \
           log.jsm \
           mime.jsm \
           mimeDecrypt.jsm \
           mimeVerify.jsm \
           os.jsm \
           passwordCheck.jsm \
           passwords.jsm \
           pipeConsole.jsm \
           prefs.jsm \
           promise.jsm \
           rules.jsm \
           streams.jsm \
					 system.jsm \
           time.jsm \
           timer.jsm \
           trust.jsm \
           uris.jsm \
           verify.jsm \
           windows.jsm

all: deploy

deploy: $(PREFFILES) $(COMPFILES) $(MODFILES)
	$(DEPTH)/util/install -m 644 $(DIST)/components $(COMPFILES)
	$(DEPTH)/util/install -m 644 $(DIST)/defaults/preferences $(PREFFILES)
	$(DEPTH)/util/install -m 644 $(DIST)/modules $(MODFILES)


clean:
	$(DEPTH)/util/install -u $(DIST)/components $(COMPFILES)
	$(DEPTH)/util/install -u $(DIST)/defaults/preferences $(PREFFILES)
	$(DEPTH)/util/install -u $(DIST)/modules $(MODFILES)

=== ui/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

# makefile for ui directory

DEPTH = ..

include ../config/autoconf.mk

DIRS = content

.PHONY: dirs $(DIRS)

all: dirs jar

dirs: $(DIRS)

$(DIRS):
	$(MAKE) -C $@

MYJARFILE = enigmail.jar


jar: dirs
	$(PYTHON) ../util/JarMaker.py -j $(DIST)/chrome -t . -f jar jar.mn

clean:
	rm -f $(DIST)/chrome/enigmail.jar

=== ipc/modules/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.


DEPTH		= ../..

include $(DEPTH)/config/autoconf.mk


EXTRA_JS_MODULES =  \
                   subprocess.jsm \
                   subprocess_worker_win.js \
                   subprocess_worker_unix.js

all: $(EXTRA_JS_MODULES)
	$(DEPTH)/util/install -m 644 $(DIST)/modules $^

clean: $(EXTRA_JS_MODULES)
	$(DEPTH)/util/install -u $(DIST)/modules $^

=== debian/changelog ===
enigmail (2:1.9.1-1) unstable; urgency=medium

  * new upstream release
  * incorporated some additional minor patches from upstream's
    enigmial-1.9-branch as well.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 28 Mar 2016 18:10:35 -0400

enigmail (2:1.9-1) unstable; urgency=medium

  * new upstream release
  * include upstream fix for excessive dumping
  * bumped Standards-Version to 3.9.7 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 24 Feb 2016 11:24:44 -0500

enigmail (2:1.9~beta2+16.gd99b-1) experimental; urgency=medium

  * new upstream snapshot

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 02 Feb 2016 10:48:42 -0500

enigmail (2:1.9~beta2-1) experimental; urgency=medium

  * new upstream beta release.
  * depend directly on gnupg2 -- 1.9 and later won't work with gpg1.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 08 Jan 2016 06:55:32 -0800

enigmail (2:1.9~beta1-1) experimental; urgency=medium

  * package new upstream beta for experimental.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 09 Oct 2015 11:57:28 -0400

=== debian/control ===
Source: enigmail
Section: mail
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Alexander Sack <asac@debian.org>,
           Willi Mann <willi@debian.org>,
           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               mozilla-devscripts,
               perl,
               python,
               zip
Standards-Version: 3.9.7
Homepage: https://www.enigmail.net/
Vcs-Git: https://anonscm.debian.org/git/pkg-mozext/enigmail.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozext/enigmail.git/

Package: enigmail
Architecture: all
Depends: gnupg-agent,
         gnupg2,
         ${misc:Depends},
         ${shlibs:Depends},
         ${xpi:Depends}
Recommends: pinentry-x11, ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Breaks: ${xpi:Breaks}
Description: GPG support for Thunderbird and Debian Icedove
 OpenPGP extension for Thunderbird. Enigmail allows users to access the
 features provided by the popular GnuPG software from within Thunderbird.
 .
 Enigmail is capable of signing, authenticating, encrypting and decrypting
 email. Additionally, it supports both the inline PGP format, as well as the
 PGP/MIME format as described in RFC 3156.

=== debian/rules ===
#!/usr/bin/make -f
XPI_MODULE_VERS = $(shell dpkg-parsechangelog  | grep ^Version: | cut -f2 -d\ )
%:
	dh $@ --with xul-ext --with autoreconf

override_dh_install:
	install-xpi -penigmail build/*.xpi

override_dh_auto_clean:
	# if config/autoconf.mk is not present, create stub of it, such that make distclean works
	if [ ! -f config/autoconf.mk ]; then \
		echo 'DIST = $$(DEPTH)/build/dist' > config/autoconf.mk; \
		echo 'BUILD = $$(DEPTH)/build' >> config/autoconf.mk; \
	fi

	dh_auto_clean

## enigmail 1.9.5

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 XPI_MODULE	= enigmail
-XPI_MODULE_VERS = 1.9.1
+XPI_MODULE_VERS = 1.9.4
 
 DEPTH		= .

=== debian/changelog ===
enigmail (2:1.9.5-2) unstable; urgency=medium

  * include two patches from upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 13 Sep 2016 00:29:56 +0200

enigmail (2:1.9.5-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 06 Sep 2016 01:11:28 -0400

enigmail (2:1.9.4-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 05 Jul 2016 15:20:07 -0400

enigmail (2:1.9.3-2) unstable; urgency=medium

  * pulled more fixes from upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 27 Jun 2016 15:52:03 -0400

enigmail (2:1.9.3-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 03 Jun 2016 15:25:05 -0400

enigmail (2:1.9.2-1) unstable; urgency=medium

  * new upstream release
  * drop old upstream patches, pull more fixes from upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 26 May 2016 16:22:26 -0400

enigmail (2:1.9.1-2) unstable; urgency=medium

  * changed dependencies to acknowledge newer versions of gnupg.
  * bumped Standards-Version to 3.9.8 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 19 Apr 2016 16:45:04 -0400

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                perl,
                python,
                zip
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://www.enigmail.net/
 Vcs-Git: https://anonscm.debian.org/git/pkg-mozext/enigmail.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozext/enigmail.git/
+Vcs-Browser: https://anonscm.debian.org/git/pkg-mozext/enigmail.git/
 
 Package: enigmail
 Architecture: all
 Depends: gnupg-agent,
-         gnupg2,
+         gnupg (>= 2) | gnupg2,
          ${misc:Depends},
          ${shlibs:Depends},
          ${xpi:Depends}

## enigmail 1.9.6

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 XPI_MODULE	= enigmail
-XPI_MODULE_VERS = 1.9.4
+XPI_MODULE_VERS = 1.9.6
 
 DEPTH		= .

=== debian/changelog ===
enigmail (2:1.9.6-2) unstable; urgency=medium

  * pulled a bugfix from upstream, refreshed patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 16 Nov 2016 07:30:05 +0900

enigmail (2:1.9.6-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 06 Nov 2016 17:27:51 -0500

enigmail (2:1.9.5-7) unstable; urgency=medium

  * fix "exchange repair" variant format of e-mail

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 01 Nov 2016 13:48:33 -0400

enigmail (2:1.9.5-6) unstable; urgency=medium

  * refresh patches from upstream enigmail-1.9-branch

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 31 Oct 2016 11:53:16 -0400

enigmail (2:1.9.5-5) unstable; urgency=medium

  * fix query for getKeyFileType (Closes: #842212)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 27 Oct 2016 11:08:05 -0400

enigmail (2:1.9.5-4) unstable; urgency=medium

  * avoid parallel build failures

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 24 Oct 2016 14:48:38 -0400

enigmail (2:1.9.5-3) unstable; urgency=medium

  * more patches from upstream
  * bump to debhelper 10 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 19 Oct 2016 13:43:43 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Alexander Sack <asac@debian.org>,
            Willi Mann <willi@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                dh-autoreconf,
                mozilla-devscripts,
                perl,

## enigmail 1.9.7

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 XPI_MODULE	= enigmail
-XPI_MODULE_VERS = 1.9.6
+XPI_MODULE_VERS = 1.9.7
 
 DEPTH		= .

=== package/Makefile ===
--- 
+++ 
@@ -23,6 +23,7 @@
            armor.jsm \
            attachment.jsm \
            card.jsm \
+           clipboard.jsm \
            commandLine.jsm \
            configBackup.jsm \
            configure.jsm \

=== debian/changelog ===
enigmail (2:1.9.7-1~ubuntu0.17.04.1) zesty-security; urgency=medium

  * Backport to zesty

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 16 May 2017 18:05:27 +0100

enigmail (2:1.9.7-1) unstable; urgency=medium

  * new upstream bugfix release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 14 May 2017 09:06:48 -0400

## enigmail 1.9.8.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 XPI_MODULE	= enigmail
-XPI_MODULE_VERS = 1.9.7
+XPI_MODULE_VERS = 1.9.8.1
 
 DEPTH		= .
 
@@ -38,7 +38,6 @@
 eslint:
 	static_analysis/eslint ipc
 	static_analysis/eslint package
-	static_analysis/eslint ui
 
 unit:
 	make -C package/tests

=== debian/changelog ===
enigmail (2:1.9.8.1-1~deb9u1) stretch-security; urgency=medium

  * Rebuild for stretch-security (Closes: #869774)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 27 Jul 2017 10:28:25 -0400

enigmail (2:1.9.8.1-1) unstable; urgency=medium

  * new upstream release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 11 Jul 2017 18:53:06 -0400

enigmail (2:1.9.8-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version to 4.0.0 (no changes needed)
  * use dpkg/pkg-info.mk instead of dpkg-parsechangelog
  * use wrap-and-sort -ast

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 05 Jul 2017 07:31:45 -0700

enigmail (2:1.9.7-2) unstable; urgency=medium

  * enable re-certifying keys with expired certs (Closes: #863273)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 15 May 2017 14:52:57 -0400

=== debian/control ===
Source: enigmail
Section: mail
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders:
 Alexander Sack <asac@debian.org>,
 Willi Mann <willi@debian.org>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 debhelper (>= 10~),
 dh-autoreconf,
 mozilla-devscripts,
 perl,
 python,
 zip,
Standards-Version: 4.0.0
Homepage: https://www.enigmail.net/
Vcs-Git: https://anonscm.debian.org/git/pkg-mozext/enigmail.git -b stretch
Vcs-Browser: https://anonscm.debian.org/git/pkg-mozext/enigmail.git/

Package: enigmail
Architecture: all
Depends:
 gnupg (>= 2) | gnupg2,
 gnupg-agent,
 ${misc:Depends},
 ${shlibs:Depends},
 ${xpi:Depends},
Recommends:
 pinentry-x11,
 ${xpi:Recommends},
Provides:
 ${xpi:Provides},
Enhances:
 ${xpi:Enhances},
Breaks:
 ${xpi:Breaks},
Description: GPG support for Thunderbird and Debian Icedove
 OpenPGP extension for Thunderbird. Enigmail allows users to access the
 features provided by the popular GnuPG software from within Thunderbird.
 .
 Enigmail is capable of signing, authenticating, encrypting and decrypting
 email. Additionally, it supports both the inline PGP format, as well as the
 PGP/MIME format as described in RFC 3156.

## enigmail 1.9.8.3

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 XPI_MODULE	= enigmail
-XPI_MODULE_VERS = 1.9.8.1
+XPI_MODULE_VERS = 1.9.8.3
 
 DEPTH		= .

=== debian/changelog ===
enigmail (2:1.9.8.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: bump to 4.1.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 02 Oct 2017 12:58:22 -0700

enigmail (2:1.9.8.2-2) unstable; urgency=medium

  * fix memoryhole protected header force-display part

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 28 Sep 2017 13:28:39 -0400

enigmail (2:1.9.8.2-1) unstable; urgency=medium

  * New upstream bugfix release
  * refresh patches
  * clean up debian/copyright
  * clean up licensing in About dialog box (from upstream)
  * Standards-Version: bump to 4.1.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 07 Sep 2017 12:41:27 -0400

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,13 @@
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
  debhelper (>= 10~),
- dh-autoreconf,
  mozilla-devscripts,
  perl,
  python,
  zip,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://www.enigmail.net/
-Vcs-Git: https://anonscm.debian.org/git/pkg-mozext/enigmail.git -b stretch
+Vcs-Git: https://anonscm.debian.org/git/pkg-mozext/enigmail.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-mozext/enigmail.git/
 
 Package: enigmail

## enigmail 1.9.9

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 XPI_MODULE	= enigmail
-XPI_MODULE_VERS = 1.9.8.3
+XPI_MODULE_VERS = 1.9.9
 
 DEPTH		= .

=== ipc/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

DEPTH		= ..

include $(DEPTH)/config/autoconf.mk

DIRS            = modules

#ifeq ($(TESTS),yes)
#  DIRS += tests
#endif

.PHONY: dirs $(DIRS)

all: dirs

dirs: $(DIRS)

$(DIRS):
	$(MAKE) -C $@

clean:
	for dir in $(DIRS); do \
	  $(MAKE) -C $$dir clean; \
	done

=== package/Makefile ===
--- 
+++ 
@@ -66,9 +66,10 @@
            pipeConsole.jsm \
            prefs.jsm \
            promise.jsm \
+           rng.jsm \
            rules.jsm \
            streams.jsm \
-					 system.jsm \
+	   system.jsm \
            time.jsm \
            timer.jsm \
            trust.jsm \

=== public/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.


DEPTH = ..

include $(DEPTH)/config/autoconf.mk

XPIDLSRCS     = \
                nsIEnigmail.idl  \
                nsIEnigMsgCompFields.idl  \
                nsIEnigMimeService.idl    \
                nsIEnigMimeHeaderSink.idl \
                nsIEnigMimeReadCallback.idl

all:
	../util/xptgen $(PYTHON) ./external $(DEPTH)/util $(DIST) $(XPIDLSRCS) 
	

clean:
	rm -rf _xpidlgen 
	rm -f $(DEPTH)/build/components/enigmail.xpt

=== ipc/modules/Makefile ===
--- 
+++ 
@@ -9,9 +9,17 @@
 
 
 EXTRA_JS_MODULES =  \
-                   subprocess.jsm \
-                   subprocess_worker_win.js \
-                   subprocess_worker_unix.js
+	subprocess.jsm \
+	enigmailprocess_shared_unix.js \
+	enigmailprocess_worker_common.js \
+	enigmailprocess_common.jsm \
+	enigmailprocess_shared_win.js \
+	enigmailprocess_worker_unix.js \
+	enigmailprocess_main.jsm \
+	enigmailprocess_unix.jsm \
+	enigmailprocess_worker_win.js \
+	enigmailprocess_shared.js \
+	enigmailprocess_win.jsm
 
 all: $(EXTRA_JS_MODULES)
 	$(DEPTH)/util/install -m 644 $(DIST)/modules $^

=== ipc/tests/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

DEPTH		= ../..

include $(DEPTH)/config/autoconf.mk

UNITTEST = 

ifneq ($(TB_PATH),"")

UNITTEST = $(JSUNIT) main.js

endif

all:
	$(UNITTEST)

=== debian/changelog ===
enigmail (2:1.9.9-2) unstable; urgency=medium

  * move to debhelper 11
  * standards-version: bump to 4.1.3 (no changes needed)
  * d/control: move Vcs-* to salsa.debian.org

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 30 Jan 2018 23:02:35 -0500

enigmail (2:1.9.9-1) unstable; urgency=medium

  * new upstream release
  * Standards-Version: bump to 4.1.2 (no changes needed)
  * drop patch already upstreamed
  * debian/changelog: drop trailing whitespace

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 15 Dec 2017 16:06:41 -0500

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
  Willi Mann <willi@debian.org>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 11~),
  mozilla-devscripts,
  perl,
  python,
  zip,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://www.enigmail.net/
-Vcs-Git: https://anonscm.debian.org/git/pkg-mozext/enigmail.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-mozext/enigmail.git/
+Vcs-Git: https://salsa.debian.org/debian/enigmail.git
+Vcs-Browser: https://salsa.debian.org/debian/enigmail
 
 Package: enigmail
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
-XPI_MODULE_VERS = $(shell dpkg-parsechangelog  | grep ^Version: | cut -f2 -d\ )
+include /usr/share/dpkg/pkg-info.mk
+
+XPI_MODULE_VERS = $(DEB_VERSION)
 %:
-	dh $@ --with xul-ext --with autoreconf
+	dh $@ --with xul-ext
 
 override_dh_install:
 	install-xpi -penigmail build/*.xpi

=== debian/watch ===
version=3
# Homepage  Pattern  [Version  [Action]]
opts=pgpsigurlmangle=s/$/.asc/ https://www.enigmail.net/download/source.php .*/enigmail-([\d\.]*).tar.gz

## enigmail 2.0.7

=== Makefile ===
--- 
+++ 
@@ -3,14 +3,13 @@
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
 XPI_MODULE	= enigmail
-XPI_MODULE_VERS = 1.9.9
+XPI_MODULE_VERS = 2.0.7
 
 DEPTH		= .
 
 include $(DEPTH)/config/autoconf.mk
 
-DIRS = ipc public
-DIRS += ui package lang
+DIRS = ipc ui package lang stdlib
 
 ALL = dirs xpi
 
@@ -38,8 +37,10 @@
 eslint:
 	static_analysis/eslint ipc
 	static_analysis/eslint package
+	static_analysis/eslint ui
 
 unit:
+	make -C ipc/tests
 	make -C package/tests
 	make -C ui/tests

=== ipc/Makefile ===
--- 
+++ 
@@ -7,10 +7,6 @@
 include $(DEPTH)/config/autoconf.mk
 
 DIRS            = modules
-
-#ifeq ($(TESTS),yes)
-#  DIRS += tests
-#endif
 
 .PHONY: dirs $(DIRS)

=== lang/Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(EXPORT_CMD)
 
 jar: export
-	$(PYTHON) ../util/JarMaker.py -j $(DIST)/chrome -t . -f jar $(BUILD)/lang/jar.mn
+	$(PYTHON) ../util/JarMaker.py -j $(DIST) -t . -f flat $(BUILD)/lang/jar.mn
 
 clean:
 	for l in $(languages); do \

=== stdlib/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.


DEPTH		= ..

include $(DEPTH)/config/autoconf.mk

MODFILES = \
           compose.jsm \
           misc.jsm \
           msgHdrUtils.jsm \
           openpgp-lib.js \
           openpgp.worker.min.js

all: deploy

deploy: $(MODFILES)
	$(DEPTH)/util/install -m 644 $(DIST)/modules/stdlib $(MODFILES)


clean:
	$(DEPTH)/util/install -u $(DIST)/modules/stdlib $(MODFILES)

=== ui/Makefile ===
--- 
+++ 
@@ -8,22 +8,16 @@
 
 include ../config/autoconf.mk
 
-DIRS = content
+DIRS = content skin locale/en-US
 
 .PHONY: dirs $(DIRS)
 
-all: dirs jar
+all: dirs
 
 dirs: $(DIRS)
 
 $(DIRS):
 	$(MAKE) -C $@
 
-MYJARFILE = enigmail.jar
-
-
-jar: dirs
-	$(PYTHON) ../util/JarMaker.py -j $(DIST)/chrome -t . -f jar jar.mn
-
 clean:
-	rm -f $(DIST)/chrome/enigmail.jar
+	rm -fr $(DIST)/chrome

=== ui/content/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

DEPTH  = ../..

include $(DEPTH)/config/autoconf.mk

UIFILES = \
	autocryptInitiateBackup.xul \
	autocryptInitiateBackup.js \
	autocryptSetupPasswd.xul \
	autocryptSetupPasswd.js \
	columnOverlay.xul \
	columnOverlay.js \
	enigmailCommon.js \
	enigmailAbCardViewOverlay.xul \
	enigmailAbContactsPanel.xul \
	enigmailAbOverlay.js \
	aboutEnigmail.html \
	enigmailAddUidDlg.js \
	enigmailAddUidDlg.xul \
	enigmailAdvancedIdentityDlg.js \
	enigmailAdvancedIdentityDlg.xul \
	enigmailMsgBox.js \
	enigmailMsgBox.xul \
	enigmailAttachmentsDialog.xul \
	enigmailAttachmentsDialog.js \
	enigmailAmIdEditOverlay.xul \
	enigmailCheckLanguage.xul \
	enigmailCardDetails.js \
	enigmailCardDetails.xul \
	enigmailConsole.xul \
	enigmailConsole.js \
	enigmailConsole.htm \
	enigmailCustToolOverlay.js \
	enigmailCustToolOverlay.xul \
	enigmailDispPhoto.js \
	enigmailDispPhoto.xul \
	enigmailEditIdentity.js \
	enigmailEditIdentity.xul \
	enigmailEditKeyExpiryDlg.js \
	enigmailEditKeyExpiryDlg.xul \
	enigmailEditKeyTrustDlg.js \
	enigmailEditKeyTrustDlg.xul \
	enigmailEncryptionDlg.xul \
	enigmailEncryptionDlg.js \
	enigmailGenCardKey.js \
	enigmailGenCardKey.xul \
	enigmailGenericDisplay.js \
	enigmailGenericDisplay.xul \
	enigmailGenericDisplay.htm \
	enigmailHelp.xul \
	enigmailHelp.js \
	enigmailImportPhoto.js \
	enigmailImportPhoto.xul \
	keyDetailsDlg.js \
	keyDetailsDlg.xul \
	enigmailKeyManager.xul \
	enigmailKeyManager.js \
	enigmailManageUidDlg.js \
	enigmailManageUidDlg.xul \
	enigmailRulesEditor.xul \
	enigmailRulesEditor.js \
	enigmailSearchKey.js \
	enigmailSearchKey.xul \
	enigmailKeyImportInfo.js \
	enigmailKeyImportInfo.xul \
	enigmailSingleRcptSettings.js \
	enigmailSingleRcptSettings.xul \
	enigmailSelectRule.js \
	enigmailSelectRule.xul \
	enigmailSetCardPin.js \
	enigmailSetCardPin.xul \
	enigmailSignKeyDlg.js \
	enigmailSignKeyDlg.xul \
	accountManagerOverlay.js \
	accountManagerOverlay.xul \
	pref-enigmail.xul \
	pref-enigmail.js \
	pref-pep.xul \
	pref-pep.js \
	am-enigprefs.xul \
	am-enigprefs.js \
	editSingleAccount.xul \
	enigmailKeygen.xul \
	enigmailKeygen.js \
	enigmailKeygenConsole.htm \
	enigmailKeyserverDlg.xul \
	enigmailKeyserverDlg.js \
	enigmailKeySelection.xul \
	enigmailKeySelection.js \
	enigmailMsgComposeOverlay.xul \
	enigmailMsgComposeOverlay-sm.xul \
	enigmailMsgComposeOverlay.js \
	enigmailMsgComposeHelper.js \
	messengerOverlay-tbird.xul \
	messengerOverlay-sm.xul \
	enigmailMessengerOverlay.xul \
	enigmailMessengerOverlay.js \
	enigmailMsgHdrViewOverlay.xul \
	enigmailMsgHdrViewOverlay.js \
	enigmailFilterEditorOverlay.xul \
	enigmailFilterEditorOverlay.js \
	enigmailFilterListOverlay.xul \
	enigmailFilterListOverlay.js \
	enigmailMsgPrintOverlay.xul \
	enigmailMsgPrintOverlay.js \
	enigmailPrivacyOverlay.js \
	enigmailPrivacyOverlay.xul \
	enigmailSetupWizard.js \
	enigmailSetupWizard.xul \
	enigmailWrapSelection.xul \
	enigmailWrapSelection.js \
	enigmailViewFile.js \
	enigmailViewFile.xul \
	enigRetrieveProgress.xul \
	enigRetrieveProgress.js \
	exportSettingsWizard.js \
	exportSettingsWizard.xul \
	upgradeInfo.html \
	pepHandshake.xul \
	pepHandshake.js \
	pepPrepHandshake.xul \
	pepPrepHandshake.js \
	pepTrustWords.xul \
	pepTrustWords.js
	
all: deploy

deploy: $(UIFILES)
	$(DEPTH)/util/install -m 644 $(DIST)/chrome/content $(UIFILES)

=== ui/skin/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

DEPTH  = ../..

include $(DEPTH)/config/autoconf.mk

UIFILES = \
	images/check0.png \
	images/check1.png \
	images/check2.png

SKIN_TB_WIN_XP = \
	tb-windows/enigmail.css \
	common/enigmail-common.css \
	common/enigmail-pEp.css \
	common/enigmail-html.css \
	images/enigmail-about.svg \
	images/enigmail-logo.png \
	tb-windows/images/enigEncInactive.png \
	tb-windows/images/enigEncNotOk.png \
	tb-windows/images/enigEncOk.png \
	tb-windows/images/enigSignInactive.png \
	tb-windows/images/enigSignNotOk.png \
	tb-windows/images/enigSignOk.png \
	tb-windows/images/enigSignUnkown.png \
	images/twisty-open.png \
	images/twisty-clsd.png \
	images/spinning-wheel.png \
	tb-windows/images/col-encrypted-signed.png \
	tb-windows/images/enigSignActiveNone.png \
	tb-windows/images/enigSignActivePlus.png \
	tb-windows/images/enigSignActiveMinus.png \
	tb-windows/images/enigSignActiveConflict.png \
	tb-windows/images/enigSignInactiveNone.png \
	tb-windows/images/enigSignInactivePlus.png \
	tb-windows/images/enigSignInactiveMinus.png \
	tb-windows/images/enigSignInactiveConflict.png \
	tb-windows/images/enigSignForceYes.png \
	tb-windows/images/enigSignForceNo.png \
	tb-windows/images/enigEncActiveNone.png \
	tb-windows/images/enigEncActivePlus.png \
	tb-windows/images/enigEncActiveMinus.png \
	tb-windows/images/enigEncActiveConflict.png \
	tb-windows/images/enigEncInactiveNone.png \
	tb-windows/images/enigEncInactivePlus.png \
	tb-windows/images/enigEncInactiveMinus.png \
	tb-windows/images/enigEncInactiveConflict.png \
	tb-windows/images/enigEncForceYes.png \
	tb-windows/images/enigEncForceNo.png \
	images/decrypt-inactive-18.svg \
	images/decrypt-active-18.svg \
	images/encrypt-inactive-18.svg \
	images/encrypt-active-18.svg \
	images/encrypt-disabled-18.svg \
	images/sign-active-18.svg \
	images/sign-disabled-18.svg \
	images/sign-inactive-18.svg \
	images/importSuccess.png \
	images/attach-active-18.svg \
	images/attach-disabled-18.svg \
	images/attach-inactive-18.svg \
	images/warning-16.png \
	images/password-error.svg \
	images/col-pEpGreen.svg \
	images/col-pEpYellow.svg \
	images/col-pEpRed.svg \
	images/pEpGreen.svg \
	images/pEpGrey.svg \
	images/pEpYellow.svg \
	images/pEpRed.svg \
	images/pEpEncryptActive.svg \
	images/pEpEncryptInactive.svg \
	images/pEpLogo.svg \
	images/headerProtected-18.svg \
	images/headerUnprotected-18.svg

SKIN_AERO = \
	tb-aero/enigmail.css \
	common/enigmail-common.css \
	common/enigmail-pEp.css \
	common/enigmail-html.css \
	images/enigmail-about.svg \
	images/enigmail-logo.png \
	tb-windows/images/enigEncInactive.png \
	tb-windows/images/enigEncNotOk.png \
	tb-windows/images/enigEncOk.png \
	tb-windows/images/enigSignInactive.png \
	tb-windows/images/enigSignNotOk.png \
	tb-windows/images/enigSignOk.png \
	tb-windows/images/enigSignUnkown.png \
	images/importSuccess.png \
	images/twisty-open.png \
	images/twisty-clsd.png \
	images/spinning-wheel.png \
	tb-windows/images/col-encrypted-signed.png \
	tb-windows/images/enigSignActiveNone.png \
	tb-windows/images/enigSignActivePlus.png \
	tb-windows/images/enigSignActiveMinus.png \
	tb-windows/images/enigSignActiveConflict.png \
	tb-windows/images/enigSignInactiveNone.png \
	tb-windows/images/enigSignInactivePlus.png \
	tb-windows/images/enigSignInactiveMinus.png \
	tb-windows/images/enigSignInactiveConflict.png \
	tb-windows/images/enigSignForceYes.png \
	tb-windows/images/enigSignForceNo.png \
	tb-windows/images/enigEncActiveNone.png \
	tb-windows/images/enigEncActivePlus.png \
	tb-windows/images/enigEncActiveMinus.png \
	tb-windows/images/enigEncActiveConflict.png \
	tb-windows/images/enigEncInactiveNone.png \
	tb-windows/images/enigEncInactivePlus.png \
	tb-windows/images/enigEncInactiveMinus.png \
	tb-windows/images/enigEncInactiveConflict.png \
	tb-windows/images/enigEncForceYes.png \
	tb-windows/images/enigEncForceNo.png \
	images/decrypt-inactive-18.svg \
	images/decrypt-active-18.svg \
	images/encrypt-inactive-18.svg \
	images/encrypt-active-18.svg \
	images/encrypt-disabled-18.svg \
	images/sign-active-18.svg \
	images/sign-disabled-18.svg \
	images/sign-inactive-18.svg \
	images/attach-active-18.svg \
	images/attach-disabled-18.svg \
	images/attach-inactive-18.svg \
	images/password-error.svg \
	images/warning-16.png \
	images/col-pEpGreen.svg \
	images/col-pEpYellow.svg \
	images/col-pEpRed.svg \
	images/pEpGreen.svg \
	images/pEpGrey.svg \
	images/pEpYellow.svg \
	images/pEpRed.svg \
	images/pEpEncryptActive.svg \
	images/pEpEncryptInactive.svg \
	images/pEpLogo.svg \
	images/headerProtected-18.svg \
	images/headerUnprotected-18.svg


SKIN_TB_MAC = \
	tb-mac/enigmail.css \
	common/enigmail-common.css \
	common/enigmail-pEp.css \
	common/enigmail-html.css \
	images/enigmail-about.svg \
	images/enigmail-logo.png \
	tb-mac/images/enigEncInactive.png \
	tb-mac/images/enigEncNotOk.png \
	tb-mac/images/enigEncOk.png \
	tb-mac/images/enigSignInactive.png \
	tb-mac/images/enigSignNotOk.png \
	tb-mac/images/enigSignOk.png \
	tb-mac/images/enigSignUnkown.png \
	images/importSuccess.png \
	images/twisty-open.png \
	images/twisty-clsd.png \
	images/spinning-wheel.png \
	tb-mac/images/col-encrypted-signed.png \
	tb-windows/images/enigSignActiveNone.png \
	tb-windows/images/enigSignActivePlus.png \
	tb-windows/images/enigSignActiveMinus.png \
	tb-windows/images/enigSignActiveConflict.png \
	tb-windows/images/enigSignInactiveNone.png \
	tb-windows/images/enigSignInactivePlus.png \
	tb-windows/images/enigSignInactiveMinus.png \
	tb-windows/images/enigSignInactiveConflict.png \
	tb-windows/images/enigSignForceYes.png \
	tb-windows/images/enigSignForceNo.png \
	tb-windows/images/enigEncActiveNone.png \
	tb-windows/images/enigEncActivePlus.png \
	tb-windows/images/enigEncActiveMinus.png \
	tb-windows/images/enigEncActiveConflict.png \
	tb-windows/images/enigEncInactiveNone.png \
	tb-windows/images/enigEncInactivePlus.png \
	tb-windows/images/enigEncInactiveMinus.png \
	tb-windows/images/enigEncInactiveConflict.png \
	tb-windows/images/enigEncForceYes.png \
	tb-windows/images/enigEncForceNo.png \
	images/decrypt-active-18.svg \
	images/decrypt-inactive-18.svg \
	images/encrypt-inactive-18.svg \
	images/encrypt-active-18.svg \
	images/encrypt-disabled-18.svg \
	images/sign-active-18.svg \
	images/sign-disabled-18.svg \
	images/sign-inactive-18.svg \
	images/attach-active-18.svg \
	images/attach-disabled-18.svg \
	images/attach-inactive-18.svg \
	images/warning-16.png \
	images/password-error.svg \
	images/col-pEpGreen.svg \
	images/col-pEpYellow.svg \
	images/col-pEpRed.svg \
	images/pEpGreen.svg \
	images/pEpGrey.svg \
	images/pEpYellow.svg \
	images/pEpRed.svg \
	images/pEpEncryptActive.svg \
	images/pEpEncryptInactive.svg \
	images/pEpLogo.svg \
	images/headerProtected-18.svg \
	images/headerUnprotected-18.svg

SKIN_TB_LINUX = \
	tb-linux/enigmail.css \
	common/enigmail-common.css \
	common/enigmail-pEp.css \
	common/enigmail-html.css \
	images/enigmail-about.svg \
	images/enigmail-logo.png \
	tb-linux/images/enigEncInactive.png \
	tb-linux/images/enigEncNotOk.png \
	tb-linux/images/enigEncOk.png \
	tb-linux/images/enigSignInactive.png \
	tb-linux/images/enigSignNotOk.png \
	tb-linux/images/enigSignOk.png \
	tb-linux/images/enigSignUnkown.png \
	images/importSuccess.png \
	images/twisty-open.png \
	images/twisty-clsd.png \
	images/spinning-wheel.png \
	tb-linux/images/col-encrypted-signed.png \
	tb-windows/images/enigSignActiveNone.png \
	tb-windows/images/enigSignActivePlus.png \
	tb-windows/images/enigSignActiveMinus.png \
	tb-windows/images/enigSignActiveConflict.png \
	tb-windows/images/enigSignInactiveNone.png \
	tb-windows/images/enigSignInactivePlus.png \
	tb-windows/images/enigSignInactiveMinus.png \
	tb-windows/images/enigSignInactiveConflict.png \
	tb-windows/images/enigSignForceNo.png \
	tb-windows/images/enigSignForceYes.png \
	tb-windows/images/enigEncActiveNone.png \
	tb-windows/images/enigEncActivePlus.png \
	tb-windows/images/enigEncActiveMinus.png \
	tb-windows/images/enigEncActiveConflict.png \
	tb-windows/images/enigEncInactiveNone.png \
	tb-windows/images/enigEncInactivePlus.png \
	tb-windows/images/enigEncInactiveMinus.png \
	tb-windows/images/enigEncInactiveConflict.png \
	tb-windows/images/enigEncForceNo.png \
	tb-windows/images/enigEncForceYes.png \
	images/decrypt-inactive-18.svg \
	images/decrypt-active-18.svg \
	images/encrypt-inactive-18.svg \
	images/encrypt-active-18.svg \
	images/encrypt-disabled-18.svg \
	images/sign-active-18.svg \
	images/sign-disabled-18.svg \
	images/sign-inactive-18.svg \
	images/attach-active-18.svg \
	images/attach-disabled-18.svg \
	images/attach-inactive-18.svg \
	images/warning-16.png \
	images/password-error.svg \
	images/col-pEpGreen.svg \
	images/col-pEpYellow.svg \
	images/col-pEpRed.svg \
	images/pEpGreen.svg \
	images/pEpGrey.svg \
	images/pEpYellow.svg \
	images/pEpRed.svg \
	images/pEpEncryptActive.svg \
	images/pEpEncryptInactive.svg \
	images/pEpLogo.svg \
	images/headerProtected-18.svg \
	images/headerUnprotected-18.svg

SKIN_CLASSIC_SEAMONKEY = \
	classic-seamonkey/enigmail.css \
	common/enigmail-common.css \
	common/enigmail-pEp.css \
	common/enigmail-html.css \
	images/enigmail-about.svg \
	images/enigmail-logo.png \
	classic-seamonkey/images/enigEncInactive.png \
	classic-seamonkey/images/enigEncNotOk.png \
	classic-seamonkey/images/enigEncOk.png \
	classic-seamonkey/images/enigSignInactive.png \
	classic-seamonkey/images/enigSignNotOk.png \
	classic-seamonkey/images/enigSignOk.png \
	classic-seamonkey/images/enigSignUnkown.png \
	images/importSuccess.png \
	images/twisty-open.png \
	images/twisty-clsd.png \
	images/spinning-wheel.png \
	classic-seamonkey/images/col-encrypted-signed.png \
	tb-windows/images/enigSignActiveNone.png \
	tb-windows/images/enigSignActivePlus.png \
	tb-windows/images/enigSignActiveMinus.png \
	tb-windows/images/enigSignActiveConflict.png \
	tb-windows/images/enigSignInactiveNone.png \
	tb-windows/images/enigSignInactivePlus.png \
	tb-windows/images/enigSignInactiveMinus.png \
	tb-windows/images/enigSignInactiveConflict.png \
	tb-windows/images/enigSignForceYes.png \
	tb-windows/images/enigSignForceNo.png \
	tb-windows/images/enigEncActiveNone.png \
	tb-windows/images/enigEncActivePlus.png \
	tb-windows/images/enigEncActiveMinus.png \
	tb-windows/images/enigEncActiveConflict.png \
	tb-windows/images/enigEncInactiveNone.png \
	tb-windows/images/enigEncInactivePlus.png \
	tb-windows/images/enigEncInactiveMinus.png \
	tb-windows/images/enigEncInactiveConflict.png \
	tb-windows/images/enigEncForceYes.png \
	tb-windows/images/enigEncForceNo.png \
	images/decrypt-inactive-24.svg \
	images/decrypt-active-24.svg \
	images/decrypt-inactive-30.svg \
	images/decrypt-active-30.svg \
	images/encrypt-inactive-24.svg \
	images/encrypt-active-24.svg \
	images/encrypt-disabled-24.svg \
	images/sign-active-24.svg \
	images/sign-disabled-24.svg \
	images/sign-inactive-24.svg \
	images/encrypt-inactive-30.svg \
	images/encrypt-active-30.svg \
	images/encrypt-disabled-30.svg \
	images/sign-active-30.svg \
	images/sign-disabled-30.svg \
	images/sign-inactive-30.svg \
	images/attach-inactive-24.svg \
	images/attach-inactive-30.svg \
	images/attach-disabled-24.svg \
	images/attach-disabled-30.svg \
	images/attach-active-24.svg \
	images/attach-active-30.svg \
	images/warning-16.png \
	images/password-error.svg \
	images/col-pEpGreen.svg \
	images/col-pEpYellow.svg \
	images/col-pEpRed.svg \
	images/pEpGreen.svg \
	images/pEpGrey.svg \
	images/pEpYellow.svg \
	images/pEpRed.svg \
	images/pEpEncryptActive.svg \
	images/pEpEncryptInactive.svg \
	images/pEpLogo.svg \
	images/headerProtected-24.svg \
	images/headerUnprotected-24.svg \
	images/headerProtected-30.svg \
	images/headerUnprotected-30.svg

=== ui/locale/en-US/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

DEPTH  = ../../..

include $(DEPTH)/config/autoconf.mk

LOCALEFILES = \
	enigmail.dtd \
	am-enigprefs.properties	\
	enigmail.properties

HELPFILES = \
	help/compose.html \
	help/help.html\
	help/messenger.html \
	help/sendingPrefs.html \
	help/editRcptRule.html \
	help/initError.html \
	help/rulesEditor.html
	
all: deploy

deploy: $(LOCALEFILES) $(HELPFILES)
	$(DEPTH)/util/install -m 644 $(DIST)/chrome/locale/en-US $(LOCALEFILES)
	$(DEPTH)/util/install -m 644 $(DIST)/chrome/locale/en-US/help $(HELPFILES)

=== debian/changelog ===
enigmail (2:2.0.7-0ubuntu1~17.10.1) artful-security; urgency=medium

  * SECURITY UPDATE: Spoofing of Email signatures
    - CVE-2018-12019, CVE-2018-12020

  * Backport 2.0.7 to artful
  * Relax debhelper requirement
    - update debian/control
    - update debian/compat

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 14 Jun 2018 13:29:27 +0100

enigmail (2:2.0.7-0ubuntu1) cosmic; urgency=medium

  * Update to 2.0.7

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 14 Jun 2018 13:26:16 +0100

enigmail (2:2.0.6-0ubuntu1) cosmic; urgency=medium

  * Update to 2.0.6

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 29 May 2018 16:48:51 +0100

enigmail (2:2.0.3-0ubuntu2) cosmic; urgency=medium

  * Update to 2.0.3

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 14 May 2018 23:44:40 +0100

enigmail (2:2.0.2-1) experimental; urgency=medium

  * New upstream release
  * drop patches already upstream
  * refresh patches
  * Standards-Version: bump to 4.1.4 (no changes needed)
  * Rules-Requires-Root: no

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 13 Apr 2018 08:34:02 -0400

enigmail (2:2.0.1-1) experimental; urgency=medium

  * new upstream release
  * drop patches already applied upstream
  * refresh patches
  * cherry-pick patches from upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 03 Apr 2018 10:17:02 -0400

enigmail (2:2.0-1) experimental; urgency=medium

  * new upstream release
  * drop patches already upstream
  * refresh patches
  * cherry-pick bug-fixes from upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 30 Mar 2018 12:35:33 -0400

enigmail (2:2.0~beta2-1) experimental; urgency=medium

  * convert to DEP-14 branch naming schemes
  * point to upstream-experimental branch
  * drop patches applied upstream
  * import bugfix patches from upstream
  * Avoid auto-download of pEpEngine (Closes: #891882)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 07 Mar 2018 11:36:44 +0100

enigmail (2:2.0~beta1-1) experimental; urgency=medium

  * new beta release (to experimental)
  * point to experimental branches in packaging repositories
  * refresh patches (drop re-certifying expired certs, already upstream)
  * import patches from upstream
  * d/watch: look for beta releases
  * clean up package build date
  * d/missing-sources: workaround: include sources for OpenPGP.js
  * d/copyright: note OpenPGP.js licensing
  * avoid failures on parallel builds

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 14 Feb 2018 18:44:56 -0500

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
  Willi Mann <willi@debian.org>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper (>= 10~),
  mozilla-devscripts,
  perl,
  python,
  zip,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://www.enigmail.net/
-Vcs-Git: https://salsa.debian.org/debian/enigmail.git
+Vcs-Git: https://salsa.debian.org/debian/enigmail.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/debian/enigmail
+Rules-Requires-Root: no
 
 Package: enigmail
 Architecture: all

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/-beta/~beta/ \
 https://www.enigmail.net/download/beta/enigmail-(.*).tar.gz

## enigmail 2.0.7-0ubuntu1~16.04.1+8.0trisquel1

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 $(DIRS):
 	$(MAKE) -C $@
 
-xpi:
+xpi: $(DIRS)
 	$(srcdir)/util/genxpi $(XPIFILE) $(XPI_MODULE_VERS) $(DIST) $(srcdir) $(XPI_MODULE) $(ENABLE_LANG)
 
 check:
@@ -44,7 +44,7 @@
 	make -C package/tests
 	make -C ui/tests
 
-test: eslint check unit
+test: check unit
 
 clean:
 	rm -f build/$(XPIFILE)

=== .pc/0002-ensure-that-everything-is-built-before-building-the-.patch/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

XPI_MODULE	= enigmail
XPI_MODULE_VERS = 2.0.7

DEPTH		= .

include $(DEPTH)/config/autoconf.mk

DIRS = ipc ui package lang stdlib

ALL = dirs xpi

ifeq ($(TESTS),yes)
ALL += test
endif

XPIFILE = $(XPI_MODULE)-$(XPI_MODULE_VERS).xpi

.PHONY: dirs $(DIRS) test

all: $(ALL)

dirs: $(DIRS)

$(DIRS):
	$(MAKE) -C $@

xpi:
	$(srcdir)/util/genxpi $(XPIFILE) $(XPI_MODULE_VERS) $(DIST) $(srcdir) $(XPI_MODULE) $(ENABLE_LANG)

check:
	util/checkFiles.py

eslint:
	static_analysis/eslint ipc
	static_analysis/eslint package
	static_analysis/eslint ui

unit:
	make -C ipc/tests
	make -C package/tests
	make -C ui/tests

test: check unit

clean:
	rm -f build/$(XPIFILE)
	for dir in $(DIRS); do \
		if [ "$${dir}x" != "checkx" ]; then \
		$(MAKE) -C $$dir clean; fi; \
	done

distclean: clean
	rm -rf build/*
	rm -f config/autoconf.mk config.log config.status

=== debian/changelog ===
enigmail (2:2.0.7-0ubuntu1~16.04.1+8.0trisquel1) flidas-security; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Jun 2018 10:13:08 +0000

enigmail (2:2.0.7-0ubuntu1~16.04.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Spoofing of Email signatures
    - CVE-2018-12019, CVE-2018-12020

  * Backport 2.0.7 to xenial
  * Relax debhelper requirement
    - update debian/control
    - update debian/compat

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 14 Jun 2018 13:29:27 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Willi Mann <willi@debian.org>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 9~),
  mozilla-devscripts,
  perl,
  python,
@@ -25,19 +25,16 @@
  gnupg-agent,
  ${misc:Depends},
  ${shlibs:Depends},
- ${xpi:Depends},
+ icedove,
 Recommends:
  pinentry-x11,
- ${xpi:Recommends},
 Provides:
  ${xpi:Provides},
-Enhances:
- ${xpi:Enhances},
 Breaks:
  ${xpi:Breaks},
-Description: GPG support for Thunderbird and Debian Icedove
- OpenPGP extension for Thunderbird. Enigmail allows users to access the
- features provided by the popular GnuPG software from within Thunderbird.
+Description: GPG support for Icedove
+ OpenPGP extension for Icedove. Enigmail allows users to access the
+ features provided by the popular GnuPG software from within Icedove.
  .
  Enigmail is capable of signing, authenticating, encrypting and decrypting
  email. Additionally, it supports both the inline PGP format, as well as the
